Skip to content

kifas.workflow.list_pending_verification

List runs for a workflow that are awaiting user verification.

Required scopes: workflow:read

Name Type Required Default Description
workflow_id string yes —
{
"type": "object",
"properties": {
"pending_verifications": {
"type": "array",
"items": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"workflow_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"goal": {
"type": [
"string",
"null"
]
},
"verdict": {
"anyOf": [
{
"type": "object",
"properties": {
"verified": {
"type": "boolean"
},
"tier": {
"type": "string",
"enum": [
"deterministic",
"semantic"
]
},
"reason": {
"type": "string"
},
"signals_used": {
"default": [],
"type": "array",
"items": {
"type": "string"
}
},
"evidence_refs": {
"default": [],
"type": "array",
"items": {
"type": "string"
}
},
"defect": {
"anyOf": [
{
"type": "object",
"properties": {
"title": {
"type": "string"
},
"detail": {
"type": "string"
},
"severity": {
"type": "string",
"enum": [
"low",
"med",
"high"
]
}
},
"required": [
"title",
"detail",
"severity"
],
"additionalProperties": false
},
{
"type": "null"
}
]
}
},
"required": [
"verified",
"tier",
"reason",
"signals_used",
"evidence_refs"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"created_at": {
"type": "string"
}
},
"required": [
"run_id",
"workflow_id",
"goal",
"verdict",
"created_at"
],
"additionalProperties": false
}
}
},
"required": [
"pending_verifications"
],
"additionalProperties": false
}
TypeScript (Anthropic MCP SDK)
import { Client } from '@modelcontextprotocol/sdk/client/index.js'
import { StreamableHTTPClientTransport } from '@modelcontextprotocol/sdk/client/streamable-http.js'
const transport = new StreamableHTTPClientTransport(
new URL('https://mcp.kifas.io/'),
{
requestInit: {
headers: { Authorization: `Bearer ${process.env.KIFAS_API_KEY}` },
},
},
)
const client = new Client({ name: 'demo', version: '0.1.0' })
await client.connect(transport)
const result = await client.callTool({
name: 'kifas.workflow.list_pending_verification',
arguments: {
"workflow_id": "00000000-0000-0000-0000-000000000000"
},
})
console.log(result)
Python (httpx, raw JSON-RPC)
import os
import httpx
resp = httpx.post(
"https://mcp.kifas.io/",
headers={
"Authorization": f"Bearer {os.environ['KIFAS_API_KEY']}",
"Content-Type": "application/json",
},
json={
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "kifas.workflow.list_pending_verification",
"arguments": {
"workflow_id": "00000000-0000-0000-0000-000000000000"
},
},
},
)
print(resp.json())
curl
Terminal window
curl https://mcp.kifas.io/ \
-H "Authorization: Bearer $KIFAS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "kifas.workflow.list_pending_verification",
"arguments": {
"workflow_id": "00000000-0000-0000-0000-000000000000"
}
}
}'
Raw JSON-RPC body
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "kifas.workflow.list_pending_verification",
"arguments": {
"workflow_id": "00000000-0000-0000-0000-000000000000"
}
}
}

Want to try kifas.workflow.list_pending_verification? Sign in to the dashboard and run it against a real session.

Try in Kifas →